MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026360Open CASCADE[OCCT] OCCT:Foundation Classespublic2015-06-22 11:412016-04-20 15:48
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026360: Useless global functions IsSimilar() in Standard
DescriptionPackage Standard contains definitions of global functions IsSimailar() for primitive types (Address, Integer, Real, Character, CString, etc...), which do the same check as IsEqual() and are not used (except in 3 places for strings).

These functions should be removed as useless; IsEqual() should be used instead.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0046148)
git (administrator)
2015-09-25 16:34

Branch CR26360 has been created by akz.

SHA-1: 03b84570952b8c7c7c52ac949470e674c0723aca


Detailed log of new commits:

Author: akz
Date: Fri Sep 25 16:33:23 2015 +0300

    0026360: Useless global functions IsSimilar() in Standard
    
    Remove IsSimilar() global function for Standard types. Replace usege of IsSimilar() by IsEqual().
(0046149)
akz (developer)
2015-09-25 16:36

Branch CR26360 is ready for review.
(0046162)
abv (manager)
2015-09-25 19:10

No remarks, please test
(0046172)
git (administrator)
2015-09-25 20:24

Branch CR26360 has been updated forcibly by mkv.

SHA-1: a4f54c01d00cb3f8d8e3b3952a5945900b3c0e02
(0046271)
mkv (tester)
2015-09-29 16:26

Dear BugMaster,
Branch CR26360 was rebased on branch IR-2015-09-24 of occt git-repository.
SHA-1: a4f54c01d00cb3f8d8e3b3952a5945900b3c0e02
(0046273)
mkv (tester)
2015-09-29 16:27

Dear BugMaster,
Branch CR26360 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a4f54c01d00cb3f8d8e3b3952a5945900b3c0e02

Number of compiler warnings:

occt component :
Linux: 13 (13 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 93467410 / 93205933 [+0.28%]
Total CPU difference: 19578.849999999136 / 19578.36999999923 [+0.00%]
products component :
Total MEMORY difference: 26268759 / 26313326 [-0.17%]
Total CPU difference: 6521.979999999951 / 7200.459999999998 [-9.42%]

Testing on Windows:
occt component :
Total MEMORY difference: 57852376 / 57876111 [-0.04%]
Total CPU difference: 18865.965334898912 / 17715.52036029908 [+6.49%]
products component :
Total MEMORY difference: 17133675 / 17140676 [-0.04%]
Total CPU difference: 6069.437306400009 / 5623.134045499962 [+7.94%]

There are no differences in images found by testdiff.
(0046274)
mkv (tester)
2015-09-29 16:28

Dear BugMaster,
Branch CR26360 is TESTED.
(0046946)
git (administrator)
2015-10-16 16:28

Branch CR26360 has been deleted by kgv.

SHA-1: a4f54c01d00cb3f8d8e3b3952a5945900b3c0e02

- Related Changesets
occt: master 42a9dcfc
Timestamp: 2015-09-25 13:33:23
Author: akz
Committer: bugmaster
Details ] Diff ]
0026360: Useless global functions IsSimilar() in Standard

Remove IsSimilar() global function for Standard types. Replace usege of IsSimilar() by IsEqual().
mod - src/Quantity/Quantity_Convert.cxx Diff ] File ]
mod - src/Standard/Standard_Address.hxx Diff ] File ]
mod - src/Standard/Standard_Character.hxx Diff ] File ]
mod - src/Standard/Standard_CString.hxx Diff ] File ]
mod - src/Standard/Standard_ExtCharacter.hxx Diff ] File ]
mod - src/Standard/Standard_Integer.hxx Diff ] File ]
mod - src/Standard/Standard_Real.hxx Diff ] File ]
mod - src/Standard/Standard_ShortReal.hxx Diff ] File ]
mod - src/Standard/Standard_Transient.cxx Diff ] File ]
mod - src/Standard/Standard_Type.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-22 11:41 abv New Issue
2015-06-22 11:41 abv Assigned To => abv
2015-09-25 00:52 abv Assigned To abv => akz
2015-09-25 00:52 abv Status new => assigned
2015-09-25 16:34 git Note Added: 0046148
2015-09-25 16:36 akz Note Added: 0046149
2015-09-25 16:36 akz Assigned To akz => abv
2015-09-25 16:36 akz Status assigned => resolved
2015-09-25 16:36 akz Steps to Reproduce Updated View Revisions
2015-09-25 19:10 abv Note Added: 0046162
2015-09-25 19:10 abv Assigned To abv => bugmaster
2015-09-25 19:10 abv Status resolved => reviewed
2015-09-25 20:24 git Note Added: 0046172
2015-09-25 20:24 mkv Assigned To bugmaster => mkv
2015-09-29 16:26 mkv Note Added: 0046271
2015-09-29 16:27 mkv Note Added: 0046273
2015-09-29 16:27 mkv Assigned To mkv => bugmaster
2015-09-29 16:27 mkv Status reviewed => tested
2015-09-29 16:27 mkv Test case number => Not needed
2015-09-29 16:28 mkv Note Added: 0046274
2015-10-02 14:56 bugmaster Changeset attached => occt master 42a9dcfc
2015-10-02 14:56 bugmaster Status tested => verified
2015-10-02 14:56 bugmaster Resolution open => fixed
2015-10-16 16:28 git Note Added: 0046946
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker